////////////////////////////////////////////////////////////
//	FILE: lib_defs.h
//
////////////////////////////////////////////////////////////

#ifdef WIN32
#include <windows.h>
#include <locale.h>
#else
#include <stdlib.h>
#include <string.h>
#endif

#include <stdio.h>
#include <math.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>

#define VECSIZE 4

typedef float FVEC[VECSIZE];
typedef int IVEC[VECSIZE];
#define STRLEN 100
typedef char STR[STRLEN];

typedef struct image {
  int xsize,ysize;
  unsigned char *data;
  char name[80];
  int num;                 // image number for OpenGL
  int clamp;               // flag: clamp or repeat
  struct image *next;
} IMAGE;

extern IMAGE *find_image(char *name);

extern IMAGE *Image;
extern int Win[2];      // window size

void display(void);          /* all the drawing action */
void myReshape(int w, int h);
void glut_mouse_action(int button, int state, int x, int y);
void glut_mouse_motion(int x, int y);
void glut_key_action(unsigned char key, int x, int y);
void glut_specialkey_action(int key, int x, int y);
void initialize();
