///////////////////////////////////////////////////////////////
// FILE:  image.h
//
///////////////////////////////////////////////////////////////


  // Loads a PPM file, binds it as an OpenGL texture
  // and makes use of the four functions listed afterwards
  // to do its work
void texload(char *texname, char *fname, char *mode);

IMAGE *find_image(char *name);  // looks up image of the given name
IMAGE *newimage(char *name);    // allocate a new image
void read_ppm_image(IMAGE *image, FILE *fp);   // read ppm image from file, copy into image
void tex_init(IMAGE *image);    // initialize the texture

void img_save(char *fname);     // saves framebuffer to a PPM file
void useTexture(char *name);    // set the current texture (assumes previous texload() )
